Subject: Re: bug#5208: 23.1.90; M-x gud-gdb: Tab Completion Produces Spurious Ctrl-M Characters

From: [email-masked] (Nick Roberts)
Date: Tue, 15 Dec 2009 19:37:02 +1300

>                                    However, since M-x gud-gdb worked
 > correctly on Mac OS X with Emacs 22, I feel that it should also work
 > correctly on Mac OS X with Emacs 23.

It does work correctly with FSF gdb.  This problem has been reported several
times before but no-one has provided a patch.  I no longer have access to a
Mac and probably wouldn't spend any more time on it anyway.

That it doesn't work with Apple GDB I don't see as a bug, though I'm not an
FSF spokesperson.  Of course, if you or someone else posts a fix, I will be
happy to apply it.

-- 
Nick                                           http://users.snap.net.nz/~nickrob